# **Release Notice**

**Dear users of Alibaba Cloud Push SDK,**

Push SDK for Android/iOS 6.17.0 is released on 2024-11-01. We look forward to your feedback on use of this version. [Flower]

&emsp;

**For more information about the updates, **visit 👉🏻: [🔗🔗🔗](https://www.alibabacloud.com/help/en/apsaravideo-live/latest/sdk-download-and-release-notes)

&emsp;

If you encounter any problems, you can join the DingTalk group and then @ R&D classmates. You can also submit a ticket on the Alibaba Cloud official website.

&emsp;

## **Demo package: Scan the following QR code to download and try the demo. [Flower]**

![DEMO QRCODE](https://alivc-demo-cms.alicdn.com/versionProduct/resources/livePush/demo_qrcode.png)

&emsp;

## **Integration guide**

### **We recommend that you integrate Push SDK for Android by using Maven dependencies:**

- Basic edition

implementation "com.alivc.pusher:AlivcLivePusher:6.17.0"

- Interactive edition

implementation "com.alivc.pusher:AlivcLivePusher_Interactive:6.17.0"

### **We recommend that you integrate Push SDK for iOS in pod mode:**

- Basic edition

pod 'AlivcLivePusher', '~> 6.17.0'

- Interactive edition

pod 'AlivcLivePusher_Interactive', '~> 6.17.0'

&emsp;

### **Demo source code**

* [Basic edition of Push SDK for Android](https://alivc-demo-cms.alicdn.com/versionProduct/installPackage/livePush/v6.17.0/en/Demo/AlivcLivePusherDemo_6.17.0_Android.zip)
* [Interactive edition of Push SDK for Android](https://alivc-demo-cms.alicdn.com/versionProduct/installPackage/livePush/Interactive/v6.17.0/en/Demo/AlivcLivePusherDemo_Interactive_6.17.0_Android.zip)
* [Basic edition of Push SDK for iOS](https://alivc-demo-cms.alicdn.com/versionProduct/installPackage/livePush/v6.17.0/en/Demo/AlivcLivePusherDemo_6.17.0_iOS.zip)
* [Interactive edition of Push SDK for iOS](https://alivc-demo-cms.alicdn.com/versionProduct/installPackage/livePush/Interactive/v6.17.0/en/Demo/AlivcLivePusherDemo_Interactive_6.17.0_iOS.zip)

### **SDK**

* [Basic edition of Push SDK for Android](https://alivc-demo-cms.alicdn.com/versionProduct/installPackage/livePush/v6.17.0/en/SDK/AlivcLivePusher_6.17.0_Android.zip)
* [Interactive edition of Push SDK for Android](https://alivc-demo-cms.alicdn.com/versionProduct/installPackage/livePush/Interactive/v6.17.0/en/SDK/AlivcLivePusher_Interactive_6.17.0_Android.zip)
* [Basic edition of Push SDK for iOS](https://alivc-demo-cms.alicdn.com/versionProduct/installPackage/livePush/v6.17.0/en/SDK/AlivcLivePusher_6.17.0_iOS.zip)
* [Interactive edition of Push SDK for iOS](https://alivc-demo-cms.alicdn.com/versionProduct/installPackage/livePush/Interactive/v6.17.0/en/SDK/AlivcLivePusher_Interactive_6.17.0_iOS.zip)

### **API Doc**

* [Basic edition of Push SDK for Android](https://alivc-demo-cms.alicdn.com/versionProduct/doc/live_pusher/6.17.0/Android/en/index.html)
* [Interactive edition of Push SDK for Android](https://alivc-demo-cms.alicdn.com/versionProduct/doc/live_pusher_interactive/6.17.0/Android/en/index.html)
* [Basic edition of Push SDK for iOS](https://alivc-demo-cms.alicdn.com/versionProduct/doc/live_pusher/6.17.0/iOS/en/index.html)
* [Interactive edition of Push SDK for iOS](https://alivc-demo-cms.alicdn.com/versionProduct/doc/live_pusher_interactive/6.17.0/iOS/en/index.html)

### **Documentation**

* [Push SDK (New)](https://www.alibabacloud.com/help/en/live/developer-reference/push-sdk/)
* [Co-streaming](https://www.alibabacloud.com/help/en/live/user-guide/co-streaming/)
* [Console Guide](https://www.alibabacloud.com/help/en/live/user-guide/console-guide/)

### **Console**

* [ApsaraVideo Live](https://live.console.aliyun.com/)
* [Co-streaming](https://live.console.aliyun.com/connect_microphone/demo#/connect_microphone/demo)
* [Licenses](https://live.console.aliyun.com/connect_microphone/demo#/sdks/license)

&emsp;

## **Development support**

If you have any questions or suggestions about Push SDK, welcome to obtain technical support through [Troubleshoot issues with Push SDK](https://www.alibabacloud.com/help/en/live/developer-reference/push-stream-sdk-exception-self-service-troubleshooting).